## kf5-kdepimlibs 16.04.2

=== akonadi-contact/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Akonadi-Contact)

# ECM setup
find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.19.0")
set(KDEPIMLIBS_VERSION "5.2.2")
set(KCONTACTS_VERSION "5.2.0")
set(CALENDARCORE_VERSION "5.2.0")
set(KMIMELIB_VERSION "5.2.0")
set(AKONADI_VERSION "5.2.0")

option(QTWEBENGINE_EXPERIMENTAL_OPTION "Enable support for qtwebengine. False by default." FALSE)

ecm_setup_version(${KDEPIMLIBS_VERSION} VARIABLE_PREFIX AKONADICONTACT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiContactConfigVersion.cmake"
                        SOVERSION 5
)

set(QT_REQUIRED_VERSION "5.5.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
if(QTWEBENGINE_EXPERIMENTAL_OPTION)
    set(QT_REQUIRED_MINIMUM_WEBENGINE_VERSION "5.6")
    find_package(Qt5 ${QT_REQUIRED_MINIMUM_WEBENGINE_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets)
else()
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebKitWidgets)
endif()
########### Find packages ###########
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
find_package(Grantlee5 "5.0" CONFIG REQUIRED)

find_package(KF5Contacts ${KCONTACTS_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${CALENDARCORE_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)
if(${CMAKE_SOURCE_DIR} STREQUAL ${Akonadi-Contact_SOURCE_DIR})
  find_package(KF5AkonadiMime ${KDEPIMLIBS_VERSION} CONFIG REQUIRED)
endif()
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"akonadicontact5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiContact")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiContactConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiContactConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiContactConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiContactConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5AkonadiContactTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AkonadiContactTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

=== akonadi-mime/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Akonadi-Mime)

# ECM setup
find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.19.0")
set(KDEPIMLIBS_VERSION "5.2.2")
set(AKONADI_VERSION "5.2.0")
set(KF5_MIME_VERSION "5.2.0")

ecm_setup_version(${KDEPIMLIBS_VERSION} VARIABLE_PREFIX AKONADIMIME
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiMimeConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KF5_MIME_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIME_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

set( SHARED_MIME_INFO_MINIMUM_VERSION "0.40" )
find_package( SharedMimeInfo REQUIRED )

find_package(LibXslt)
set_package_properties(LibXslt PROPERTIES
    DESCRIPTION "xsltproc"
    URL "http://xmlsoft.org/XSLT/"
    TYPE REQUIRED
    PURPOSE "Needed to generate D-Bus interface specifications"
)

########### Targets ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi-kmime5\")
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiMime")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiMimeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiMimeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiMimeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiMimeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5AkonadiMimeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AkonadiMimeTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-mime_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

=== akonadi-socialutils/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Akonadi-SocialUtils)

# ECM setup
find_package(ECM 5.16.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.19.0")
set(KDEPIMLIBS_VERSION "5.2.2")
set(AKONADI_VERSION "5.2.0")

ecm_setup_version(${KDEPIMLIBS_VERSION} VARIABLE_PREFIX AKONADISOCIALUTILS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-socialutils_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSocialUtilsConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_packagE(KF5GuiAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

########### Targets ###########

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiSocialUtils")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiSocialUtilsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSocialUtilsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSocialUtilsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiSocialUtilsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5AkonadiSocialUtilsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AkonadiSocialUtilsTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-socialutils_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

=== kioslave/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(kioslave)

# ECM setup
find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(CMAKE_MODULE_PATH ${kioslave_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

# FIXME: Do we want the same versions in kdepimlibs and kf5?
set(KF5_VERSION "5.19.0")
set(KDEPIMLIBS_VERSION "5.2.2")
set(MBOXLIB_VERSION "5.2.0")
set(LDABLIB_VERSION "5.2.0")
find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES
                             DESCRIPTION "The Cyrus-sasl library"
                             URL "http://www.cyrussasl.org"
                             TYPE OPTIONAL
)

find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Ldap ${LDABLIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mbox ${MBOXLIB_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")


add_subdirectory(src)
add_subdirectory(docs)

install( FILES kdepimlibs-kioslave.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

if ("${CMAKE_BINARY_DIR}" STREQUAL "${kioslave_BINARY_DIR}")
  feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

=== akonadi-socialutils/autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt5Test CONFIG REQUIRED)



add_executable(image-provider-tests image-provider-tests image-provider-tests.cpp)
add_test(image-provider-tests image-provider-tests)
ecm_mark_as_test(image-provider-tests)
target_link_libraries(image-provider-tests KF5::AkonadiSocialUtils Qt5::Test)

=== kioslave/src/mbox/CMakeLists.txt ===

########### next target ###############

set(kio_mbox_PART_SRCS 
   mbox.cpp
   mboxfile.cpp 
   readmbox.cpp
   stat.cpp 
   urlinfo.cpp )


add_library(kio_mbox MODULE ${kio_mbox_PART_SRCS})

target_link_libraries(kio_mbox  KF5::KIOCore KF5::I18n)
set_target_properties(kio_mbox PROPERTIES OUTPUT_NAME "mbox")

install(TARGETS kio_mbox  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio/)


########### install files ###############

install( FILES mbox.protocol  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== kioslave/src/nntp/CMakeLists.txt ===




########### next target ###############

set(kio_nntp_PART_SRCS nntp.cpp )


add_library(kio_nntp MODULE ${kio_nntp_PART_SRCS})


target_link_libraries(kio_nntp  KF5::KIOCore KF5::I18n)
set_target_properties(kio_nntp PROPERTIES OUTPUT_NAME "nntp")

install(TARGETS kio_nntp  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio/ )


########### install files ###############

install( FILES nntp.protocol nntps.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== akonadi-contact/src/editor/generalinfoeditor/autotests/CMakeLists.txt ===
set(phonewidgettest_SRCS phonewidgettest.cpp ../phone/phonewidget.cpp ../phone/phonecomboboxtype.cpp ../../widgets/akonadicontactcombobox.cpp ../phone/phonetypedialog.cpp
    ../../widgets/preferredlineeditwidget.cpp)
add_executable(phonewidgettest ${phonewidgettest_SRCS})
add_test(phonewidgettest phonewidgettest)
ecm_mark_as_test(phonewidgettest)
target_link_libraries(phonewidgettest Qt5::Test  Qt5::Widgets KF5::AkonadiContact KF5::Contacts KF5::I18n KF5::Completion KF5::IconThemes)


set(mailwidgettest_SRCS mailwidgettest.cpp ../mail/mailwidget.cpp ../../widgets/akonadicontactcombobox.cpp ../../widgets/preferredlineeditwidget.cpp)
add_executable(mailwidgettest ${mailwidgettest_SRCS})
add_test(mailwidgettest mailwidgettest)
ecm_mark_as_test(mailwidgettest)
target_link_libraries(mailwidgettest Qt5::Test  Qt5::Widgets KF5::AkonadiContact KF5::Contacts KF5::I18n KF5::Completion KF5::IconThemes)

set(messagingwidgettest_SRCS messagingwidgettest.cpp ../messaging/messagingwidget.cpp ../../im/imaddress.cpp ../../widgets/akonadicontactcombobox.cpp ../../widgets/preferredlineeditwidget.cpp)
add_executable(messagingwidgettest ${messagingwidgettest_SRCS})
add_test(messagingwidgettest messagingwidgettest)
ecm_mark_as_test(messagingwidgettest)
target_link_libraries(messagingwidgettest Qt5::Test  Qt5::Widgets KF5::AkonadiContact KF5::Contacts KF5::I18n KF5::Completion KF5::Service KF5::IconThemes)

=== debian/changelog ===
kf5-kdepimlibs (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 04 Jul 2016 17:02:23 +0200

kf5-kdepimlibs (4:16.04.2-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update copyright information

  [ Automatic packaging ]
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Jun 2016 16:30:11 +0200

kf5-kdepimlibs (4:16.04.1-2) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update uscan file to fetch the unstable releases
  * Drop unreleased changelog entry
  * Drop packages moved to akonadi
  * Change version dependencies for libkf5akonadi-dev
  * Update build dependencies
  * Update install files
  * Update symbols files
  * Rename the source package, to allow coexistance with the kde4 version in
    the archive.
  * Add breaks/replaces for the not renamed kdepim-kio versions
  * Inject kf5-kdepimlibs-kio-plugins dependency through the symbols files

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 09:30:42 +0200

kdepimlibs (4:15.12.1-2) experimental; urgency=medium

  * Drop libprison build dependency. (Closes: #814200)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 10 Feb 2016 09:59:20 +0100

kdepimlibs (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:04 +0100

kdepimlibs (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).
  * Update symbols files from buildds logs (4:15.08.2-1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:49 +0100

kdepimlibs (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:06:37 +0200

kdepimlibs (4:15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:15 +0200

kdepimlibs (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 23:52:14 +0200

kdepimlibs (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Adjust breaks&replaces of libkf5akonadi-dev on kdepimlibs5-dev
    + Latter as provided by kde4pimlibs had its runtime binaries stripped so
      there is no longer a conflict moving forward

 -- Harald Sitter <sitter@kde.org>  Wed, 02 Sep 2015 09:16:56 +0200

kdepimlibs (4:15.08.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Clive Johnston ]
  * Fixing symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 17:30:11 +0100

kdepimlibs (4:15.07.90-0ubuntu2) wily; urgency=medium

  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Aug 2015 17:26:12 +0100

kdepimlibs (4:15.07.90-0ubuntu1) wily; urgency=medium

  * KDE Frameworks 5 port
  * Drop packages moved to own sources or were removed entirely
    - libkmime4
    - libkpimtextedit4
    - libkxmlrpcclient4
    - libgpgme++2
    - libqgpgme1
    - libsyndication4
    - libkpimidentities4
    - libkontactinterface4
    - libkmbox4
    - libkldap4
    - libkimap4
    - libkholidays4
    - libkcalcore4
    - libkalarmcal2
    - libkblog4
    - libkabc4
    - libkcal4
    - libkcalutils4
    - libakonadi-calendar4
    - libkpimutils4
    - libkresources4
    - libktnef4
    - libkmailtransport4
    - libmicroblog4
    - libakonadi-kabc4
    - libakonadi-kcal4
  * The following new packages were added:
    - libkf5akonadiagentbase5
    - libkf5akonadicontact-dev
    - libkf5akonadicore5
    - libkf5akonadimime-dev
    - libkf5akonadinotes-dev
    - libkf5akonadisocialutils-dev
    - libkf5akonadiwidgets5
  * The following packages were renamed to reflect their new content:
    - libakonadi-kde4 -> libakonadi-kf5
    - kdepimlibs5-dev -> libkf5akonadi-dev
    - libakonadi-contact4 -> libkf5akonadicontact5
    - libakonadi-kmime4 -> libkf5akonadimime5
    - libakonadi-notes4 -> libkf5akonadinotes5
    - libakonadi-socialutils4 -> libkf5akonadisocialutils5
    - libakonadi-xml4 -> libkf5akonadixml5
  * Build dependencies were adjusted to a sutiable version
  * All ACC files were removed until someone finds time to create
    new profiles
  * KDE 4 specific tech in debian/rules was removed along with library
    mass-handling as the libraries are rather detangled now and eventually
    will be split into independent sources altogether.
  * libakondi-kf5 replaces libakonadi-kde4 as they install the same mime type
    file
  * libkf5akonadisocialutils5 replaces libakonadi-socialutils4 as they contain
    overlapping data files

 -- Harald Sitter <sitter@kde.org>  Wed, 12 Aug 2015 10:19:07 +0200

kdepimlibs (4:4.14.10-1) unstable; urgency=medium

  * New upstream release (4.14.7).
  * Update copyright information.
  * New upstream release (4.14.8).
  * Update symbols files from buildds logs (4:4.14.6-1).
  * New upstream release (4.14.9).
  * New upstream release (4.14.10).
  * Update symbols files. (Closes: #777926)
  * Rename libgpgme++2 to v5 due to gcc5 transition.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 15:02:33 +0200

kdepimlibs (4:4.14.9-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Batchpatch symbols. No missing. 

  [ Jonathan Riddell ]
  * New upstream release

  [ José Manuel Santamaría Lema ]


=== debian/control ===
Source: kf5-kdepimlibs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               kdesignerplugin (>= 5.16.0~),
               kdoctools-dev (>= 5.19.0~),
               kio-dev (>= 5.19.0~),
               libboost-dev (>= 1.34.0~),
               libboost-graph-dev (>= 1.34.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:16.04~),
               libkf5akonadiserver-dev (>= 4:15.12.1~),
               libkf5calendarcore-dev (>= 15.12.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5completion-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 15.12.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5guiaddons-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.16.0~),
               libkf5itemmodels-dev (>= 5.19.0~),
               libkf5itemviews-dev (>= 5.16.0~),
               libkf5kdelibs4support-dev (>= 5.12.0~),
               libkf5ldap-dev (>= 15.12.0~),
               libkf5mbox-dev (>= 15.12.0~),
               libkf5mime-dev (>= 15.12.0~),
               libkf5solid-dev (>= 5.12.0~),
               libkf5windowsystem-dev (>= 5.16.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5webkit5-dev (>= 5.5.0~),
               libsasl2-dev,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~),
               qttools5-dev,
               shared-mime-info (>= 0.30),
               xsltproc
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepimlibs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepimlibs.git

Package: kf5-kdepimlibs-kio-plugins
Architecture: any
Depends: libsasl2-modules, ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepimlibs-kio-plugins (>> 4:15)
Replaces: kdepimlibs-kio-plugins (>> 4:15)
Description: kio slaves used by KDE PIM applications
 This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
 slaves.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libakonadi-kf5 (<< 4:15.07.90+git20150819.1000),
        libkf5akonadicontact5 (<< 4:15.07.90+git20150819.1000),
        libkf5akonadimime5 (<< 4:15.07.90+git20150819.1000),
        libkf5akonadisocialutils5 (<< 4:15.07.90+git20150819.1000),
        libkf5akonadixml5 (<< 4:15.07.90+git20150819.1000)
Replaces: libakonadi-kf5 (<< 4:15.07.90+git20150819.1000),
          libkf5akonadicontact5 (<< 4:15.07.90+git20150819.1000),
          libkf5akonadimime5 (<< 4:15.07.90+git20150819.1000),
          libkf5akonadisocialutils5 (<< 4:15.07.90+git20150819.1000),
          libkf5akonadixml5 (<< 4:15.07.90+git20150819.1000)
Description: kdepimlibs - data files
 This package contains data files for all libraries that are part of kdepimlibs.

Package: libkf5akonadicontact5
Architecture: any
Multi-Arch: same
Depends: kdepimlibs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:16.04~),
         libkf5akonadicontact5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 5.2.0~),
         libkf5contacts-dev (>= 5.2.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadimime5
Architecture: any
Multi-Arch: same
Depends: kdepimlibs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadimime-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:16.04~),
         libkf5akonadimime5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi MIME handling library
 This library provides MIME handling helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libakonadi-kf5
Depends: kdepimlibs-data, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5akonadisocialutils5
Architecture: any
Multi-Arch: same
Depends: kdepimlibs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi resources for handling social feeds
 Akonadi resource types for social media related feeds.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadisocialutils-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:16.04~),
         libkf5akonadisocialutils5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi resources for handling social feeds - development files
 Akonadi resource types for social media related feeds.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadinotes5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi notes access library
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadinotes-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5akonadi-dev (>= 4:16.04~),
         libkf5akonadinotes5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.12.0~),
         libkf5mime-dev (>= 5.2.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Akonadi notes access library - development files
 This library provides notes manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH:=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),ia64)
    dqk_link_with_as_needed := no
endif

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdepimlibs-dbg (<= 4:15.12.1-1~~)'

override_dh_makeshlibs:
	$(overridden_command) -Xkcm_akonadicontact_actions.so -Xakonadi_serializer_socialfeeditem.so

override_dh_shlibdeps:
	$(overridden_command) -- -xkf5-kdepimlibs-kio-plugins

=== debian/tests/control ===
# Tests: testsuite
# Depends: @, @builddeps@, build-essential,
#          xvfb, xauth, dbus-x11, akonadi-server, oxygen-icon-theme,
#          libqt5sql5-sqlite, akonadi-backend-sqlite
# Restrictions: build-needed

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr
